## org.eclipse.datatools.connectivity
Class ConnectAdapter

    java.lang.Object
      org.eclipse.datatools.connectivity.ConnectAdapter

All Implemented Interfaces:
  IConnectListener

    public class ConnectAdapter

extends java.lang.Object
implements IConnectListener

Author:
  rcernich Created on May 24, 2005

Constructor Summary
`ConnectAdapter()`

Method Summary
`void` `closeConnection(ConnectEvent event)` The listener should close its connection to the server.
`boolean` `okToClose(ConnectEvent event)` Return false if the connection should be kept open
`void` `openConnection(ConnectEvent event)` The listener should open a connection to the server.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectAdapter

    public ConnectAdapter()

Method Detail

### okToClose

    public boolean okToClose(ConnectEvent event)

  Description copied from interface: `IConnectListener`
  Return false if the connection should be kept open

  Specified by:
    `okToClose` in interface `IConnectListener`
  Returns:
    true if the connection can be closed; false if it should be left open.

### openConnection

    public void openConnection(ConnectEvent event)
                        throws org.eclipse.core.runtime.CoreException

  Description copied from interface: `IConnectListener`
  The listener should open a connection to the server.

  Specified by:
    `openConnection` in interface `IConnectListener`
  Throws:
    `org.eclipse.core.runtime.CoreException` - if an error occurs opening the connection.

### closeConnection

    public void closeConnection(ConnectEvent event)
                         throws org.eclipse.core.runtime.CoreException

  Description copied from interface: `IConnectListener`
  The listener should close its connection to the server.

  Specified by:
    `closeConnection` in interface `IConnectListener`
  Throws:
    `org.eclipse.core.runtime.CoreException` - if an error occurs closing the connection.